Bug 1776715 - shutter cannot start, due to changed file::glob
Summary: shutter cannot start, due to changed file::glob
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shutter
Version: 31
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 08:53 UTC by Arjen Heidinga
Modified: 2019-12-11 02:06 UTC (History)
2 users (show)

Fixed In Version: shutter-0.94.3-1.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-11 02:06:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Arjen Heidinga 2019-11-26 08:53:44 UTC
Description of problem:

Shutter cannot start because something in File::Glob changed.

The patch here solves the issue:
https://bugs.launchpad.net/shutter/+bug/1831155


Additional info:

$ shutter
Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine", at /usr/lib64/perl5/vendor_perl/Gtk2.pm line 126.
...
"glob" is not exported by the File::Glob module
Can't continue after import errors at /usr/bin/shutter line 57.
BEGIN failed--compilation aborted at /usr/bin/shutter line 57.

Comment 1 Fedora Update System 2019-12-09 14:28:08 UTC
FEDORA-2019-973addd47d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 2 Fedora Update System 2019-12-10 18:47:21 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 3 Fedora Update System 2019-12-11 02:06:18 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.